export const ColorLegend = ({colorScale, onHover, hoveredValue}) => {
 return (colorScale.domain().map((domainV,i) => 
  <g transform={`translate(0,${i*50})`} 
    onMouseEnter={()=>{onHover(domainV)}}
    onMouseOut={()=>{onHover(null)}}
    opacity={hoveredValue && hoveredValue !== domainV? 0.2:1}
    >
  	<circle fill={colorScale(domainV)} r={20}></circle>
  	<text x='25' dy=".32em" >{domainV}</text> 
  </g>
));
} 
